You are not logged in.

#101 2013-04-05 13:26:04

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 13,134

Re: It is possible to install Gnome 3.x?

perosb wrote:

...deleted

Moderator..  Please so not do that.https://wiki.archlinux.org/index.php/Fo … way_Street

If you want to redact something, use BBCode to strike it out, and then add editorial, or something.  Blanking posts is rude, and tells anyone who responded to you that they were just wasting their time.

Thanks.


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
You assume people are rational and influenced by evidence.  You must not work with the public much. -- Trilby
----
How to Ask Questions the Smart Way

Offline

#102 2013-04-05 16:26:02

valentin
Member
Registered: 2012-08-14
Posts: 1

Re: It is possible to install Gnome 3.x?

Arogers10 wrote:

Has anybody else experienced an issue with Empathy, Telepathy Gabble, and connecting to Facebook? Just checking if it's broken on my end or if I'm just waiting for an update to gnome-unstable

Same problem here... telephathy not connect and says that there is an "internal error", disconnecting, also google (google with disconnected facebook account, connect)

Offline

#103 2013-04-06 09:40:00

kjell
Member
From: Norway
Registered: 2012-03-26
Posts: 97

Re: It is possible to install Gnome 3.x?

shotwell and geary fails after 3.8:

shotwell: error while loading shared libraries: libgee.so.2: cannot open shared object file: No such file or directory

Seems to have the latest libgee installed...what's going on here..can't compile it either, claims can't find the package. 

-- checking for modules 'gthread-2.0;glib-2.0>=2.32.0;gio-2.0>=2.28.0;gtk+-3.0>=3.4.0;gee-1.0>=0.6.0;unique-3.0>=3.0.0;libnotify>=0.7.5;libcanberra>=0.28;sqlite3>=3.7.4;gmime-2.6>=2.6.0;gnome-keyring-1>=3.2.2;webkitgtk-3.0>=1.8.0'
--   package 'gee-1.0>=0.6.0' not found

gnome-unstable/libgee 0.10.0-1 [installed]

Offline

#104 2013-04-06 11:26:24

Wutzara
Member
Registered: 2010-03-23
Posts: 11

Re: It is possible to install Gnome 3.x?

Because the new pkg-config file is now named gee-0.8 instead of gee-1.0 - dont ask me why

Offline

#105 2013-04-06 12:56:49

Arogers10
Member
Registered: 2012-06-20
Posts: 68

Re: It is possible to install Gnome 3.x?

valentin wrote:

Same problem here... telephathy not connect and says that there is an "internal error", disconnecting, also google (google with disconnected facebook account, connect)

Thanks! I'll hold off my complaints then until gnome hits testing. tongue Just wanted to make sure it wasn't just my system acting up.

Offline

#106 2013-04-06 22:51:40

Anthony25
Member
Registered: 2012-10-24
Posts: 43

Re: It is possible to install Gnome 3.x?

bwat47 wrote:

the memory leak is probably https://bugs.archlinux.org/task/32484

which is supposedly supposed to be fixed in 3.8 if you are using 3.8 + a mythical future version of gjs/spidermonkey.

Hello,
I don't think it's related to this memory leak, which seems to be fixed (if you click many times on an item in the top bar, the memory consumption doesn't increase).
But I think there still is a memory leak, as the consumption increases for no reason after few hours, even if it's better than the one we had in 3.6.

Edit : In fact, it seems to be related :

On this link : https://lwn.net/Articles/544877/
"There are some big problems in the memory usage of GNOME shell (3.6). That is partly fixed in 3.8, but can only be really addressed in 3.10. Reason behind it was: 1) bug in bindings (clutter references weren't freed), 2) mozilla/gjs/something making it impossible to regularly run auto garbage collection (which was done in earlier versions) 3) mozilla/gjs/something causing #1, which had is now worked around (in 3.8)."

Last edited by Anthony25 (2013-04-06 22:55:39)

Offline

#107 2013-04-07 00:43:40

bwat47
Member
Registered: 2009-10-07
Posts: 637

Re: It is possible to install Gnome 3.x?

Anthony25 wrote:
bwat47 wrote:

the memory leak is probably https://bugs.archlinux.org/task/32484

which is supposedly supposed to be fixed in 3.8 if you are using 3.8 + a mythical future version of gjs/spidermonkey.

Hello,
I don't think it's related to this memory leak, which seems to be fixed (if you click many times on an item in the top bar, the memory consumption doesn't increase).
But I think there still is a memory leak, as the consumption increases for no reason after few hours, even if it's better than the one we had in 3.6.

Edit : In fact, it seems to be related :

On this link : https://lwn.net/Articles/544877/
"There are some big problems in the memory usage of GNOME shell (3.6). That is partly fixed in 3.8, but can only be really addressed in 3.10. Reason behind it was: 1) bug in bindings (clutter references weren't freed), 2) mozilla/gjs/something making it impossible to regularly run auto garbage collection (which was done in earlier versions) 3) mozilla/gjs/something causing #1, which had is now worked around (in 3.8)."

Darn, was hoping it would all be fixed in 3.8, well here's hoping 3.10 actually fixes it. Pretty ridiculous that they've had two "stable" releases suffering from major memory leaks. Luckily my machine has 8gb of ram.

Offline

#108 2013-04-07 08:59:23

kjell
Member
From: Norway
Registered: 2012-03-26
Posts: 97

Re: It is possible to install Gnome 3.x?

Arogers10 wrote:
valentin wrote:

Same problem here... telephathy not connect and says that there is an "internal error", disconnecting, also google (google with disconnected facebook account, connect)

Thanks! I'll hold off my complaints then until gnome hits testing. tongue Just wanted to make sure it wasn't just my system acting up.

No issues here with online accounts (I dont use "facadebook" but everything else works..)

Offline

#109 2013-04-07 09:03:09

Arogers10
Member
Registered: 2012-06-20
Posts: 68

Re: It is possible to install Gnome 3.x?

kjell wrote:

No issues here with online accounts (I dont use "facadebook" but everything else works..)

My other accounts work well too. However switching on facebook kills everything else connected to gabble. I believe turning on facebook causes gabble to segfault.

Offline

#110 2013-04-07 09:05:28

kjell
Member
From: Norway
Registered: 2012-03-26
Posts: 97

Re: It is possible to install Gnome 3.x?

Arogers10 wrote:
kjell wrote:

No issues here with online accounts (I dont use "facadebook" but everything else works..)

My other accounts work well too. However switching on facebook kills everything else connected to gabble. I believe turning on facebook causes gabble to segfault.

Then you have a good reason to quit that privacy leeching service... smile

Offline

#111 2013-04-07 09:08:58

Arogers10
Member
Registered: 2012-06-20
Posts: 68

Re: It is possible to install Gnome 3.x?

kjell wrote:
Arogers10 wrote:
kjell wrote:

No issues here with online accounts (I dont use "facadebook" but everything else works..)

My other accounts work well too. However switching on facebook kills everything else connected to gabble. I believe turning on facebook causes gabble to segfault.

Then you have a good reason to quit that privacy leeching service... smile

Now let us not start an opinion war about fb tongue

I simply enjoy empathy for fb as I can chat with everyone I know without dealing with wall garbage and I hope this gabble issue works itself out soon

Offline

#112 2013-04-07 09:12:51

kjell
Member
From: Norway
Registered: 2012-03-26
Posts: 97

Re: It is possible to install Gnome 3.x?

Arogers10 wrote:
kjell wrote:
Arogers10 wrote:

My other accounts work well too. However switching on facebook kills everything else connected to gabble. I believe turning on facebook causes gabble to segfault.

Then you have a good reason to quit that privacy leeching service... smile

Now let us not start an opinion war about fb tongue

I simply enjoy empathy for fb as I can chat with everyone I know without dealing with wall garbage and I hope this gabble issue works itself out soon

Well, that FB is a privacy leech isn't my opinion, that's a fact.  But yeah, this ain't the place for that discussion.  :=)   What about trying to add a jabber service directly, with the fb server and login? (if you know this info...)

Offline

#113 2013-04-07 09:16:25

Arogers10
Member
Registered: 2012-06-20
Posts: 68

Re: It is possible to install Gnome 3.x?

kjell wrote:

Well, that FB is a privacy leech isn't my opinion, that's a fact.  But yeah, this ain't the place for that discussion.  :=)   What about trying to add a jabber service directly, with the fb server and login? (if you know this info...)

Good idea! Haven't thought about adding fb as jabber since gnome better integrated it into online accounts in 3.4. I'll give it a shot when I get back to my machine.

Offline

#114 2013-04-07 09:42:39

perosb
Member
Registered: 2011-09-19
Posts: 12

Re: It is possible to install Gnome 3.x?

On one machine my gdm seems borked throwing lots of error and only ends up on black screen and with a cursor.

Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: Fönsterhanterarvarning: Log level 32: Execution of main.js threw exception: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found

On my second machine everything works jolly good.

Offline

#115 2013-04-07 17:31:29

Anthony25
Member
Registered: 2012-10-24
Posts: 43

Re: It is possible to install Gnome 3.x?

perosb wrote:

On one machine my gdm seems borked throwing lots of error and only ends up on black screen and with a cursor.

Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!   Exception was: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: JS ERROR: !!!     message = '"Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found"'
Apr  6 21:54:49 caladan /usr/bin/dbus-launch[502]: Fönsterhanterarvarning: Log level 32: Execution of main.js threw exception: Error: Requiring Gdm, version none: Typelib file for namespace 'Gdm' (any version) not found

On my second machine everything works jolly good.

I have the same bug. It only starts if, with a second screen plugged, I switch from tty1 to tty2. Xorg will fail to detect my screen, so I press on "Agree", and then it starts correctly.

This is weird because if I succeed to start the Xorg, I can kill it (and stop gdm) and restart it again without a problem. It's only after a reboot that it crash...

Offline

#116 2013-04-07 23:37:05

Sphaerophoria
Member
Registered: 2011-07-14
Posts: 41

Re: It is possible to install Gnome 3.x?

kjell wrote:

Well, that FB is a privacy leech isn't my opinion, that's a fact.  But yeah, this ain't the place for that discussion.  :=)   What about trying to add a jabber service directly, with the fb server and login? (if you know this info...)

Throws the same error. Weird.

Offline

#117 2013-04-08 04:28:24

Arogers10
Member
Registered: 2012-06-20
Posts: 68

Re: It is possible to install Gnome 3.x?

Sphaerophoria wrote:
kjell wrote:

Well, that FB is a privacy leech isn't my opinion, that's a fact.  But yeah, this ain't the place for that discussion.  :=)   What about trying to add a jabber service directly, with the fb server and login? (if you know this info...)

Throws the same error. Weird.

Same here. Adding the account through jabber didn't help

Offline

#118 2013-04-10 05:52:19

butler360
Member
Registered: 2012-09-08
Posts: 28

Re: It is possible to install Gnome 3.x?

Offline

#119 2013-04-10 19:31:36

matsche
Member
From: .at
Registered: 2004-04-27
Posts: 120

Re: It is possible to install Gnome 3.x?

hi,
no big issue, but i got.

:: gnome-games-extra-data: needs gnome-games 

So i had to remove it without problems!

Last edited by matsche (2013-04-10 19:32:03)


THX!!
cu matsche

Offline

#120 2013-04-10 21:32:40

narendiran
Member
From: Chennai, Tamil Nadu, India
Registered: 2011-09-07
Posts: 25
Website

Re: It is possible to install Gnome 3.x?

Looks like, it has landed in testing.

Offline

#121 2013-04-10 21:37:40

fredbezies
Member
Registered: 2011-07-28
Posts: 286

Re: It is possible to install Gnome 3.x?

Yes it did ! But do not forget to add sudo pacman -S testing/gnome-extra if you want to get something fully working, besides nautilus-open-terminal which is removed.

I tried to get an answer, but my thread get spammed.

And for Shotwell, you have to install libgee06 or it won't start !

Last edited by fredbezies (2013-04-10 21:47:58)

Offline

#122 2013-04-10 22:30:07

bwat47
Member
Registered: 2009-10-07
Posts: 637

Re: It is possible to install Gnome 3.x?

just upgraded from testing. Everything works well so far other than the aforementioned issues with adding a facebook account in GOA

EDIT: The lock screen now blanks the screen immediately after locking it. does anyone know if thats intended behavior or a bug? Seems kind of jarring, there doesn't seem to be an animation for lock/unlock anymore either.

Last edited by bwat47 (2013-04-10 22:35:04)

Offline

#123 2013-04-11 08:02:25

blasse
Member
From: Poland
Registered: 2008-04-24
Posts: 303

Re: It is possible to install Gnome 3.x?

fredbezies wrote:

besides nautilus-open-terminal which is removed.

I tried to get an answer, but my thread get spammed.

Don't have gnome 3.8 installed, but imho it should be in nautilus properties in new plugins section, just as it was in eog and gedit wink


Proud ex-maintainer of firefox-pgo

Offline

#124 2013-04-12 01:05:54

zzaw
Member
Registered: 2012-08-15
Posts: 11

Re: It is possible to install Gnome 3.x?

Is there no gnome classic session option for anyone else? Tried Lightdm and GDM but both only show the regular Gnome session.

Offline

#125 2013-04-12 01:23:56

thebluesgnr
Member
Registered: 2012-04-02
Posts: 18

Re: It is possible to install Gnome 3.x?

aiguofer wrote:

Hmm... So I'm still stumped on this.  I'm using the latest updates and still freezing on boot with gdm.

I've tried enabling debugging and trying to trace through /var/log/messages.log but it's pointless since it doesn't place the errors there when it freezes.

Are the other guys that get this issue using stock kernels? I'm on linux-pf... I think I'm about to try a different kernel and see what happens.

I'll report my findings.

Switching to SNA acceleration fixed it for me. See https://wiki.archlinux.org/index.php/Intel

Offline

Board footer

Powered by FluxBB